Main Page Namespace List Class Hierarchy Alphabetical List Compound List Namespace Members Compound Members Related Pages

# Import::ImportableImageI Class Reference

Importable image interface. More...

`#include <ImportableImageI.h>`

Inheritance diagram for Import::ImportableImageI:

List of all members.

## Public Methods

- virtual PluginClass::SuperClassIdC get_super_class_id ()
- virtual PajaTypes::int32 get_width () = 0
- virtual PajaTypes::int32 get_height () = 0
- virtual PajaTypes::int32 get_pitch () = 0
- virtual PajaTypes::int32 get_bpp () = 0
- virtual PajaTypes::uint8* get_data () = 0
- virtual void bind_texture ( PajaSystem::DeviceInterfaceI* pInterface, PajaTypes::uint32 ui32Properties ) = 0

## Protected Methods

- ImportableImageI ()
- ImportableImageI ( Edit::EditableI* pOriginal )
- virtual ~ImportableImageI ()

## Detailed Description

Importable image interface.

This interface, derived from ImportableI, implements super class for image importers. There are set of methods which enables to get the information of the image and to bind it (set as active image) on specified device.

## Constructor & Destructor Documentation

ImportableImageI ( | )`[protected]`

| Default constructor.

ImportableImageI ( | Edit::EditableI * pOriginal )`[protected]`

| Constructor with reference to the original.

~ImportableImageI ( | )`[protected, virtual]`

| Default destructor.

## Member Function Documentation

void bind_texture ( | PajaSystem::DeviceInterfaceI * pInterface,
| PajaTypes::uint32 ui32Properties )`[pure virtual]`

| Binds texture to the given device.

PajaTypes::int32 get_bpp ( | )`[pure virtual]`

| Return bits per pixel.

PajaTypes::uint8 * get_data ( | )`[pure virtual]`

| Returns pointer to the imagedata.

PajaTypes::int32 get_height ( | )`[pure virtual]`

| Returns height of the image in pixels.

PajaTypes::int32 get_pitch ( | )`[pure virtual]`

| Returns pitch of the image, pitch is the actual length of scanline in pixels.

PluginClass::SuperClassIdC get_super_class_id ( | )`[virtual]`

| Returns the super class ID. Reimplemented from Import::ImportableI.

PajaTypes::int32 get_width ( | )`[pure virtual]`

| Returns width of the image in pixels.

The documentation for this class was generated from the following file:

- ImportableImageI.h